<template>
  <div class="header-page">
    <div class="container">
      <div class="header__box">
        <div class="header__box-left-side">
          <div class="logo">
            <img src="./img/logo.png" alt="logo">
          </div>
        </div>
        <div class="header__box-right-side">
          <div class="navigation">
            <nav class="nav-item">
              <ul class="ul-item">
                <li class="item">
                  <router-link :to="{ name: 'home' }">Home</router-link>
                </li>
                <li class="item">
                  <router-link :to="{ name: 'profile' }">My Profile</router-link>
                </li>
                <li class="item">
                  <a href="#">My account</a>
                </li>
                <li class="item">
                  <a href="#">Buy credits</a>
                </li>
                <li class="item">
                  <a href="#">Upgrade membership</a>
                </li>
              </ul>
            </nav>
          </div>

          <div class="hamburger" @click="dropMenu = !dropMenu" :class="{ active: dropMenu }">
            <div class="line"></div>
            <div class="line"></div>
            <div class="line"></div>


            <div class="mobileMenu" :class="{ active: dropMenu }">
              <MobileMenu />
            </div>
          </div>
        </div>
      </div>
    </div>

    <div id="nav"></div>
  </div>
</template>

<script>
import MobileMenu from './mobileMenu.vue'
export default {
  data: () => ({
    dropMenu: false
  }),

  components: {
    MobileMenu
  }
};
</script>

<style lang='scss' src='./styles.scss'>
</style>